---
lang: en
title: 'API docs: repository.filterbuilder.offset'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.filterbuilder.offset.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [FilterBuilder](./repository.filterbuilder.md) &gt; [offset](./repository.filterbuilder.offset.md)

## FilterBuilder.offset() method

Set `offset`

<b>Signature:</b>

```typescript
offset(offset: number): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  offset | <code>number</code> | Offset of the number of records to be returned |

<b>Returns:</b>

`this`


